(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      8782,        234]
NotebookOptionsPosition[      7862,        210]
NotebookOutlinePosition[      8296,        227]
CellTagsIndexPosition[      8253,        224]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8145552702677765`*^9, 
  3.814555273095197*^9}},ExpressionUUID->"1a354c72-7a86-4aff-9c57-\
c51cfb9f1ee4"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "10"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"8", ",", "9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"11", ",", "12"}], "}"}]}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ArbolJQ", "[", "grafo", "]"}]}], "Input",
 CellChangeTimes->{{3.81455609912703*^9, 3.8145562172047634`*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"c0b9de90-ad18-4340-9d3e-d780c0961e5d"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 7, 9, 10, 4, 5, 6, 8, 11, 12}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {1, 6}, {2, 3}, {2, 7}, {2, 8}, {
       2, 4}, {3, 7}, {3, 8}, {3, 9}, {3, 10}, {7, 4}, {7, 6}, {8, 9}, {8, 
       4}, {9, 4}, {4, 5}, {10, 5}, {11, 12}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQBWImKJ7BnraYi4nRYXLzgaLpPZ/3z/Dpl9+8+I+9yx+Z
uq2STAfQ5QOFb7Im/v9oz2LJzyc76cd+dPmzlw9+mbL2u70PR4/y8hO/MeS3
RjIzTLD+bn9GnLU6K+cBhvyS9eWzGYS5HFpbThw7yPoNwz0Y9qPJY9iPJr90
023TXjlmh7MTnq9NC/2HIf8l1PEu86J39utDK+y+qrJg2IeuH12ekP4be5ik
yyRv2LOd3X1X6xgDhvzPzhvLXsY8soeqwwhP9PBDl0d3H7o8uvvQ5dHdh24f
uvvQ4wvdfnT70M03XX+gLZbtm/1TFsujQTpcB65A5WF8AHsESxE=
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.1259968534004194, -1.2218241198063182}, 
          0.029482412220734402], 
         InsetBox["1", 
          Offset[{2, 2}, {2.1554792656211537, -1.1923417075855838}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7899657471469137, -2.262553200969281}, 
          0.029482412220734402], 
         InsetBox["2", 
          Offset[{2, 2}, {1.8194481593676481, -2.2330707887485466}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1248483875690065, -1.5356722401807597}, 
          0.029482412220734402], 
         InsetBox["3", 
          Offset[{2, 2}, {1.154330799789741, -1.5061898279600252}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.47987838371522, -1.73648752103374}, 0.029482412220734402],
          InsetBox["7", 
          Offset[{2, 2}, {1.5093607959359545, -1.7070051088130056}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.4520416260253175, -0.513234367631179}, 
          0.029482412220734402], 
         InsetBox["9", 
          Offset[{2, 2}, {1.481524038246052, -0.48375195541044463}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.2592785020733164, -1.3764055027934614}, 
          0.029482412220734402], 
         InsetBox["10", 
          Offset[{2, 2}, {3.2887609142940506, -1.346923090572727}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.3899177749320466, -1.8958498757502185}, 
          0.029482412220734402], 
         InsetBox["4", 
          Offset[{2, 2}, {2.419400187152781, -1.866367463529484}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9572772332564328, -2.518534172103237}, 
          0.029482412220734402], 
         InsetBox["5", 
          Offset[{2, 2}, {0.9867596454771672, -2.4890517598825026}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.3765540374542531, -2.096761448186615}, 
          0.029482412220734402], 
         InsetBox["6", 
          Offset[{2, 2}, {0.4060364496749875, -2.0672790359658806}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.5738418825824844, -0.3765540374542531}, 
          0.029482412220734402], 
         InsetBox["8", 
          Offset[{2, 2}, {0.6033242948032188, -0.3470716252335187}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.3765540374542529, -3.271642247011743}, 
          0.029482412220734402], 
         InsetBox["11", 
          Offset[{2, 2}, {1.4060364496749873, -3.2421598347910088}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.37655403745425287, -3.271642247011743}, 
          0.029482412220734402], 
         InsetBox["12", 
          Offset[{2, 2}, {0.40603644967498725, -3.2421598347910088}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8145561146712837`*^9, 3.814556170577755*^9}, {
   3.8145562007757254`*^9, 3.8145562195127907`*^9}, 3.814556445028251*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"0411c15e-f893-4b94-9404-50a0e1ba3092"],

Cell[CellGroupData[{

Cell[BoxData["False"], "Print",
 CellChangeTimes->{
  3.8145561705842485`*^9, {3.8145562007911873`*^9, 3.814556219518775*^9}, 
   3.8145564450332384`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[34]:=",ExpressionUUID->"677034cf-0bfc-4a10-95b8-69ebc031cbe8"],

Cell[BoxData["\<\"No es conexo\"\>"], "Print",
 CellChangeTimes->{
  3.8145561705842485`*^9, {3.8145562007911873`*^9, 3.814556219518775*^9}, 
   3.814556445038224*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[34]:=",ExpressionUUID->"149d5e1c-7880-438a-9d01-9e0486682664"],

Cell[BoxData["\<\"Tiene circuitos\"\>"], "Print",
 CellChangeTimes->{
  3.8145561705842485`*^9, {3.8145562007911873`*^9, 3.814556219518775*^9}, 
   3.814556445041218*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[34]:=",ExpressionUUID->"37c9a9d5-fba7-4660-a4ce-fb0388e20cea"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"a7ef0fd1-c371-497a-9a06-9017c4c13eb6"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 182, 4, 63, "Input",ExpressionUUID->"1a354c72-7a86-4aff-9c57-c51cfb9f1ee4"],
Cell[CellGroupData[{
Cell[765, 28, 1658, 50, 351, "Input",ExpressionUUID->"c0b9de90-ad18-4340-9d3e-d780c0961e5d"],
Cell[2426, 80, 4535, 100, 746, "Output",ExpressionUUID->"0411c15e-f893-4b94-9404-50a0e1ba3092"],
Cell[CellGroupData[{
Cell[6986, 184, 271, 6, 50, "Print",ExpressionUUID->"677034cf-0bfc-4a10-95b8-69ebc031cbe8"],
Cell[7260, 192, 284, 6, 50, "Print",ExpressionUUID->"149d5e1c-7880-438a-9d01-9e0486682664"],
Cell[7547, 200, 287, 6, 50, "Print",ExpressionUUID->"37c9a9d5-fba7-4660-a4ce-fb0388e20cea"]
}, Open  ]]
}, Open  ]]
}
]
*)

